#include "widget.h"

Widget::Widget()
{
    player = new QProcess();

    QPushButton *button = new QPushButton(tr("Play sound"));
    QObject::connect(button, SIGNAL(clicked()), this, SLOT(on_pushButton_clicked()));

    QVBoxLayout *box = new QVBoxLayout;
    box->addWidget(button);
    setLayout(box);
}

void Widget::on_pushButton_clicked()
{
    if (player->state() == QProcess::Running) {
        player->terminate();
        player->waitForFinished(3000);
    }
    //aplay -D plughw:0,0 sample.wav
    QStringList args;
    args << "-D" << "plughw:0,0" << "sample.wav";
    player->start("aplay", args);
}
